Update firm settings Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/firm/{firm_uuid}/settings

Path parameters

  • firm_uuid string Required
application/json

Body

  • keep_deleted_files_for integer

    Number of days to keep files in the recycle bin. Set as null for indefinitely

  • tax number(float)

    Tax rate

  • rmar_start_date string(date)

    Date you will not be able to add charges before

  • advice_type string

    Default RMAR advice type for new employees

    Value Description
    independent Independent
    restricted Restricted

    Values are independent or restricted.

  • month_end integer

    Day of the month for the monthly income reconciliation statements to end. Leave at 31 for the end of the month

  • lock_statements_after integer

    Automatically lock statements after number of days of statement end date. Leave null for never lock automatically. Zero for lock automatically immediately

  • adviser_split_uuid string(uuid)

    Default adviser split to be applied to new advisers

  • show_pseudo_folders_in_client_portal boolean

    Whether to allow clients to view the pseudo folders in the client portal

  • fact_find_completed_notification_to_assigned_adviser boolean Required

    Notify the assigned adviser when a client completes a fact find

  • fact_find_completed_notification_to_assigned_administrator boolean Required

    Notify the assigned administrator when a client completes a fact find

  • fact_find_completed_notification_to_assigned_paraplanner boolean Required

    Notify the assigned paraplanner when a client completes a fact find

  • charge_identifier boolean

    Charge identifier to apply to charges. Visit support documentation for requirements and list of variables.

  • core_details_changed_notification_for_assigned_adviser boolean

    Notify the assigned adviser when a clients core details are updated.

  • core_details_changed_notification_for_assigned_administrator boolean

    Notify the assigned adviser when a clients core details are updated.

  • core_details_changed_notification_for_assigned_paraplanner boolean

    Notify the assigned adviser when a clients core details are updated.

  • allow_completion_of_cases_with_incomplete_tasks boolean

    Allow completion of cases with incomplete tasks.

  • auto_create_linked_policy_numbers string

    Automatically create linked policy numbers when reconciling income.

    Value Description
    always ALWAYS
    ask ASK
    off OFF

    Values are always, ask, or off.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Name of the firm

    • slug string

      Slug of the firm

    • address_1 string

      First line of the address

    • address_2 string

      Second line of the address

    • town_city string

      Town/City

    • county string

      County

    • postcode string

      Postcode

    • country string

      Country

    • regulatory_text string

      Regulatory text of the firm.

    • logo_icon string

      URL of your firm logo icon.

    • brand_colours object

      Firm branding colours.

      Hide brand_colours attributes Show brand_colours attributes object
      • sidebar_background string
      • sidebar_accent string
      • sidebar_text string
      • sidebar_hover string
      • sidebar_active string
      • sidebar_title_background string
      • sidebar_title_primary string
      • sidebar_title_secondary string
      • sidebar_title_secondary_hover string
      • email_background string
      • email_logo_background_panel string
      • email_sub_text string
      • email_button_background string
      • email_button_text string
      • portal_sidebar_button_background string
      • portal_sidebar_button_hover string
      • portal_sidebar_button_active string
      • portal_brand_title string
      • portal_brand_sub_title string
      • portal_sidebar_title string
      • portal_sidebar_text string
      • portal_sidebar_text_hover string
      • portal_sidebar_text_active string
      • portal_sidebar_icon string
      • portal_sidebar_icon_hover string
      • portal_sidebar_icon_active string
      • portal_background string
      • portal_sidebar_account_title string
      • portal_sidebar_account_email string
      • portal_sidebar_divider string
      • portal_dashboard_bg_one string
      • portal_dashboard_bg_two string
      • portal_sidebar_collapse_button string
      • portal_sidebar_collapse_button_hover string
      • portal_sidebar_user_select_background string
      • portal_sidebar_user_select_hover string
      • portal_sidebar_user_select_text string
      • portal_sidebar_user_select_text_hover string
      • portal_sidebar_user_select_border string
      • portal_sidebar_user_select_border_hover string
    • is_subscribed boolean

      Subscription status.

    • addon_subscriptions array[object]

      All addons the firm is subscribed to.

      Hide addon_subscriptions attributes Show addon_subscriptions attributes object
      • uuid string
      • created_at string
      • updated_at string
      • enabled string
      • addon string
      • trial_ends_at string
      • trial_ends_in_days integer
      • payment_confirmed_at string
    • keep_deleted_files_for integer

      Number of days to keep deleted files for

    • tax number

      Tax percent

    • month_end integer

      Date of the month for the monthly income reconciliation statements to end

    • statement_frequency string

      The frequency of the income reconciliation statements

    • billing object

      Firm invoice details for billing

      Hide billing attributes Show billing attributes object
      • invoice_address_1 string
      • invoice_address_2 string
      • invoice_town_city string
      • invoice_county string
      • invoice_postcode string
      • invoice_country string
      • invoice_email string
    • task_board_template object

      The task board template that is used when every client or case is created

      Hide task_board_template attributes Show task_board_template attributes object
      • uuid string
      • created_at string
      • updated_at string
      • is_template boolean
      • name string
      • default_list_uuid string
      • lists string
      • is_editable boolean
      • priorities array[object]
        Hide priorities attributes Show priorities attributes object
        • name string
        • value string
      • modelable string
    • ip_whitelist array[string]

      A list of IP Addresses a firm is allowed to log in from.

    • welcome_paragraph_html string

      Custom welcome paragraph html for the branded auth welcome page

    • email_welcome_paragraph_html string

      Custom welcome paragraph for the welcome/new user email

    • show_fact_find_illustrations boolean

      Determines if the illustrations/graphics are displayed on the fact find.

    • cc_email_addresses array[string]

      Array of email cc addresses.

    • bcc_email_addresses array[string]

      Array of email bcc addresses.

    • reply_to_email_address string

      Firm reply to email address.

    • mobile_app_support_number string

      Firm mobile app support number.

    • mobile_app_support_email string

      Firm mobile app support email address.

POST /api/v1/firm/{firm_uuid}/settings
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/settings' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"keep_deleted_files_for":60,"tax":17.5,"rmar_start_date":"2022-08-01","advice_type":"independent","month_end":25,"lock_statements_after":0,"adviser_split_uuid":"adee3e62-6c04-49a6-b682-ab6b70045087","show_pseudo_folders_in_client_portal":true,"fact_find_completed_notification_to_assigned_adviser":true,"fact_find_completed_notification_to_assigned_administrator":true,"fact_find_completed_notification_to_assigned_paraplanner":true,"charge_identifier":true,"core_details_changed_notification_for_assigned_adviser":true,"core_details_changed_notification_for_assigned_administrator":true,"core_details_changed_notification_for_assigned_paraplanner":true,"allow_completion_of_cases_with_incomplete_tasks":true,"auto_create_linked_policy_numbers":"always"}'
Request examples
{
  "keep_deleted_files_for": 60,
  "tax": 17.5,
  "rmar_start_date": "2022-08-01",
  "advice_type": "independent",
  "month_end": 25,
  "lock_statements_after": 0,
  "adviser_split_uuid": "adee3e62-6c04-49a6-b682-ab6b70045087",
  "show_pseudo_folders_in_client_portal": true,
  "fact_find_completed_notification_to_assigned_adviser": true,
  "fact_find_completed_notification_to_assigned_administrator": true,
  "fact_find_completed_notification_to_assigned_paraplanner": true,
  "charge_identifier": true,
  "core_details_changed_notification_for_assigned_adviser": true,
  "core_details_changed_notification_for_assigned_administrator": true,
  "core_details_changed_notification_for_assigned_paraplanner": true,
  "allow_completion_of_cases_with_incomplete_tasks": true,
  "auto_create_linked_policy_numbers": "always"
}
Response examples (200)
{
  "uuid": "8262998d-6c80-417d-8295-806c6d4e33f9",
  "created_at": "2026-06-08T16:08:01+01:00",
  "updated_at": "2026-06-08T16:08:01+01:00",
  "name": "Codepotato",
  "slug": "codepotato",
  "address_1": "Suite E, 5 The Briars",
  "address_2": "Waterberry Drive",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "regulatory_text": "Regulatory text",
  "logo": "https://api.plannrcrm.com/images/plannr.jpg",
  "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
  "brand_colours": {
    "sidebar_background": "#0E0E56",
    "sidebar_accent": "#36367E",
    "sidebar_text": "#FFFFFF",
    "sidebar_hover": "#0A0A42",
    "sidebar_active": "#53DBB8",
    "sidebar_title_background": "#36367E",
    "sidebar_title_primary": "#FFC634",
    "sidebar_title_secondary": "#FFFFFF",
    "sidebar_title_secondary_hover": "#FFFFFF",
    "email_background": "#0E0E56",
    "email_logo_background_panel": "#36367E",
    "email_sub_text": "#FFFFFF",
    "email_button_background": "#36367E",
    "email_button_text": "#FFFFFF",
    "portal_sidebar_button_background": "#F6F6F6",
    "portal_sidebar_button_hover": "#FFFFFF",
    "portal_sidebar_button_active": "#FFFFFF",
    "portal_brand_title": "#323B4B",
    "portal_brand_sub_title": "#828994",
    "portal_sidebar_title": "#11151D",
    "portal_sidebar_text": "#323B4B",
    "portal_sidebar_text_hover": "#323B4B",
    "portal_sidebar_text_active": "#323B4B",
    "portal_sidebar_icon": "#828994",
    "portal_sidebar_icon_hover": "#828994",
    "portal_sidebar_icon_active": "#828994",
    "portal_background": "#F6F6F6",
    "portal_sidebar_account_title": "#11151D",
    "portal_sidebar_account_email": "#828994",
    "portal_sidebar_divider": "#E3E5E9",
    "portal_dashboard_bg_one": "#EF4583",
    "portal_dashboard_bg_two": "#FFC634",
    "portal_sidebar_collapse_button": "#828994",
    "portal_sidebar_collapse_button_hover": "#B3B9C4",
    "portal_sidebar_user_select_background": "#F6F6F6",
    "portal_sidebar_user_select_hover": "#F6F6F6",
    "portal_sidebar_user_select_text": "#323B4B",
    "portal_sidebar_user_select_text_hover": "#323B4B",
    "portal_sidebar_user_select_border": "#EEEEEE",
    "portal_sidebar_user_select_border_hover": "#828994"
  },
  "is_subscribed": true,
  "addon_subscriptions": [
    {
      "uuid": "9ac2c541-c07d-4528-841e-63e4d7ef72a9",
      "created_at": "2026-06-08T16:08:01+01:00",
      "updated_at": "2026-06-08T16:08:01+01:00",
      "enabled": "true",
      "addon": "App\\Http\\Resources\\Addons\\AddonResource",
      "trial_ends_at": "2026-06-22",
      "trial_ends_in_days": 14,
      "payment_confirmed_at": "2026-06-26"
    }
  ],
  "keep_deleted_files_for": 30,
  "tax": 17.5,
  "month_end": 25,
  "statement_frequency": "monthly",
  "billing": {
    "invoice_address_1": "Suite E, 5 The Briars",
    "invoice_address_2": "Waterberry Drive",
    "invoice_town_city": "Waterlooville",
    "invoice_county": "Hampshire",
    "invoice_postcode": "PO7 7YH",
    "invoice_country": "United Kingdom",
    "invoice_email": "gareth@codepotato.co.uk"
  },
  "task_board_template": {
    "uuid": "b2f05264-69cd-4181-8ab0-888e445e8bda",
    "created_at": "2026-06-08T16:08:01+01:00",
    "updated_at": "2026-06-08T16:08:01+01:00",
    "is_template": false,
    "name": "Task Board",
    "default_list_uuid": "ffca4475-f99d-4f42-af9b-5f243f134eb3",
    "lists": "App\\Http\\Resources\\Board\\BoardListResource",
    "is_editable": true,
    "priorities": [
      {
        "name": "High",
        "value": "high"
      },
      {
        "name": "Low",
        "value": "low"
      }
    ],
    "modelable": "App\\Http\\Resources\\CasesResource"
  },
  "ip_whitelist": [
    "192.168.0.1",
    "127.0.0.1"
  ],
  "welcome_paragraph_html": "<h1>Welcome.</h1>",
  "email_welcome_paragraph_html": "Welcome to Plannr!",
  "show_fact_find_illustrations": true,
  "cc_email_addresses": [
    "jack@example.com",
    "jill@example.com"
  ],
  "bcc_email_addresses": [
    "jack@example.com",
    "jill@example.com"
  ],
  "reply_to_email_address": "jack@example.com",
  "mobile_app_support_number": "01234 567890",
  "mobile_app_support_email": "support@example.com"
}